---

- name: Import ASM policy from template
  bigip_asm_policy:
    provider: "{{ f5_cred }}"
    name: '{{ item.name }}'
    template: '{{ item.template | default("Fundamental") }}'
    state: '{{ item.state | default("present") }}'
    partition: '{{ item.partition | default("Common") }}'
  with_items: '{{ f5_asm_policy }}'
  delegate_to: localhost
  register: manage_asm

- name: Wait for sync
  wait_for:
    timeout: 10
  when: manage_asm.changed
